Subject: full summary -- a good graphing analysis package

From: "Kieran F Lim (Lim Pak Kwan)" <[email-masked]>
Date: Wed, 11 Nov 1998 11:27:06 +1000

thank you to everyone who contributed.

>We are seeking a dual platform (Mac and PC) graphing and analysis
>package. This should have the ability to do
> - curve fitting (including user-defined functions)
> - 2-d and 3-d plots
> - plots suitable for insertion into both hardcopy and electronic
>   documents (not everthing does the latter well!)

the concensus seems to be:

1. Igor Pro
   Mac and PC
	http://www.wavemetrics.com
        http://macweek.zdnet.com/mw_1017/news_igor.html

2. Origin
   PC only
	http://www.microcal.com

3. symbolic algebra, spreadsheet programs, etc -- eg
   Mathematica http://www.wolfram.com
   MatLAB http://www.mathworks.com
   MicroSoft Excel

A full summary follows in 5 sections:

   dual platform -- the subject of my original question
   PC only  )
   MAC only )    -- not what I was seeking but useful information
   others   )
   list of contributors        :-)

A selection of contributors' comments is included and is indicated
by a ">" in the margin. My comments have no ">".

Kieran

=========================================================

DUAL PLATFORM

1. Igor Pro

>Igor was initially written for Mac but now runs on PC as well. It has
>superb curve fitting with user-definable functions.  You can control every
>detail of publication plots, including special characters, stacked plots
>etc.  Igor was designed with ordinary 2-D plots in mind but it can now do
>3-D plots as well.  From Igor you can make PICT, EPS, and PS files.  From
>these I have been able to make PDF, JPEG, etc files with the relevant
>external program

>Furthermore, what I appreciate very much is the possibility to add extended
>operations (in C language) to perform data acquisition and/or calculations.

>The software "Igor" (Wavemetrics, Oregon) is great, but it doesn't
>do 3-D plots (it does image and contour plots, though).
	http://www.wavemetrics.com
        http://macweek.zdnet.com/mw_1017/news_igor.html

2. KaleidaGraph IMHO

some mixed feedback (good and bad) about this.

>For all plots and curve fits two-dimensional,
>nothing beats KaleidaGraph IMHO. It is an incredibly
>fast, robust program available for Macs and PCs.
>Moreover it is easy to use - I have shown freshman
>students how to make fairly complex plots in minutes.
>It is trivial to add error bars (x and/or y axis)
>to some or all of the points of a data set.
>You can easily define your own curves for plotting to
>compare with your data, use their pre-set fitting
>routines (which are quite robust) or define your own
>function for fitting.
>The graphics it produces are camera-ready when printed
>on a laser printer. In short:
>I have been using KG for many years and highly recommend it.
>It's available from Synergy Software, and is CHEAP with
>an academic discount. (www.synergy.com; (610) 779-0522 is the
>number (unless it's changed since last time I called).
>KaleidaGraph will run just fine on a Mac Classic (I do this sometimes
>in a pinch) and is screamingly fast on even a minimal PowerMac.

>Kaleidagraph runs on both platforms but it's a pretty feeble program.
>Although we use it here in the undergrad general chem. lab course, it's not
>really versatile enough for serious research use.
        http://www.synergy.com

3. Mathematica

>Mathematica does all of these things well (and more).  You can find out
>more about Mathematica at
>	http://www.wolfram.com
>Some examples of chemistry applications of Mathematica can be found at
>	http://www.wolfram.com/engineering/users.html
>and some research papers in Chemistry and Chemical Engineering that have
>used Mathematica are listed at
>	http://www.wolfram.com/papers/chem.html

> ... in regards to complex surface plots containing
>more than one surface that overlap - Mathematica will render them
>together.

>In addition, I find it to be an excellent teaching tool.
>    Since you specifically asked about print quality graphics
>      let me also toss into the mix the suggestion that you
>      explore an add on for Mathematica made by Conix
>      called "Conix 3D Explorer"--it's an OpenGL based
>      rendering engine.  When used with Mathematica you can
>      create some truly spectacular, print quality, images
>      --makes eye catching 3D plots.

4. MatLAB by Mathworks

>MATLAB works on PCs, Macs and Unix platforms and does all that you ask.

>I'll put in a vote for Matlab. Although both of these
>packages now have similar functionality, Matlab started
>as a numerical analysis package and has retained leadership in
>this area (those who are more familiar with Mathematica,
>please feel free to argue). Mathematica began as a symbolic math
>package and has pretty good 2D and 3D graphics by comparison.
>I really like Matlab's scripting language however. It's open API
>allows us to integrate it tightly with other code.
>Recent introduction of more advanced data structures etc. is very
>appealing too. One can also convert Matlab scripts into C code
>for better performance. Why have all the overhead for symbolic
>math when you really want to do numerical operations like
>curve fitting? Just my personal preference.
        http://www.mathworks.com

5. MicroSoft Excel

>It does 2D- and 3D-plots.  It does curve fitting.  It's multi-platform.  You
>can cut and paste plots as graphics.  Most importantly, many people use it,
>and there are a lot of third-party books and documentation on the software.

yes, all this is true. Excel does meet all the minimum requirements which
I specified ... our experience of it at Deakin U is that something *more*
powerful is required.

6. DeltaGraph

>and has some advantages like keeping both data and plots in the same file.
>DeltaGraph also does contour and surface plots, but at last look the
>smoothing capabilities were either non-existent or primitive.
        http://www.spss.com/software/deltagraph/
we have some experience with DeltaGraph at Deakin U ... it is great
for everything except insertion into other documents which are then
used for printing ...

=========================================================

PC ONLY

1. Origin by Microcal Software Inc.

several contributors nominated Origin, and we also use it in our group,
at Deakin University, but unfortunately it does not have a Mac version.
>  Thank you for your recent inquiry.  At this time, we do not have a Mac
>  version of Origin, nor do we have plans for one in the immediate future.
>  Origin version  5.0 runs Windows 95 (and 98) as well as Windows NT.
	http://www.microcal.com

2. AXUM on a PC

>I am myself using AXUM on a PC. It has all the features you require and
>many more.
>It has curve fitting possibilities with user-defined functions, its own
>programming
>language for advanced treatment, has script files very usefull for
>repetitive treatments
>of data of similar structure. It can export to postscript files which I
>use for electronic
>document.
        http://www.mathsoft.com/axum/

3. SigmaPlot

>        We really like SigmaPlot.  It is certainly very good at producing
>plots for insertion into MS-Word documents.  It has lots of curve-fitting
>options.  We do not use 3-d plots much, so I cannot comment on its
>capabilities there.  Also, I do not know what the Mac version is like.

I am informed that the Mac version is not as up-to-date as the PC
version and hence have listed it under "PC only" here.
        http://www.spss.com/software/science/sigmaplot/

4. Tecplot (Amtex Engineering: PC and UNIX versions)
        http://www.amtec.com

5. PV-wave from Visual Numerics

=========================================================

MAC ONLY

1. Spyglass Transform
>For contour and surface plots, the best program for the Mac in regards
>to ease of use and quality of results is Spyglass Transform (www.fortner.com).
>Its contouring routines are accelerated for PowerPC and have very good
>smoothing and interpolation options.
        http://www.fortner.com

2. ProFit

a check of the website shows no mention of a PC version
        http://www.quansoft.com/index.html

OTHERS

=========================================================

MAthcad http://www.mathsoft.com
Winmaple
Prism (Graphpad)
GENPLOT http://www.genplot.com (PC and UNIX only)
IDL (interactive data language), which has
>  excellent graphics support. It's uses a LISP language interpreter
>  and can be programmed similarly to FORTRAN, with some advantages
>  (automatic matrix recognition without doing the do loops). IDL is
>  available for unix and PC Windows (Mac I do not know) and is widely
>  used. Theere are different curve fitting routines build in and
>  fitting functions can be user defined.
xmgr for your 2D graphics.
>  It is easy to use, and includes non-linear curve fitting.
>  It is free software and runs on any UNIX implementation including
>  Linux, and therefore will run on your PC and Mac machines.
SURFER, produced by Golden Software
>  originally produced for geological applications,
>  it is a great graphing (2D, 3D, overlays, and more) program
Cricket Graph
Horizon
freeware stuff ported from the unix world such as MacVogel
GLE
>  which I like BUT it is not as easy
>  to find it on the net as it was say 4 years ago. Also I run it under LINUX
>  and had a "tame" systems adminstrator to help when I had problems (changes
>  to source code). In addition it works like very old graphing software with
>  the equivalent of "move to" type instructions and is not "user friendly"
>  although it is easy to use.
>  I would however recomend it to someone who likes a program which puts
>  things wrer it is told to put them.

A comprehensive comparison (in horrible English (-:) of the
>  packages GAUSS, Macsyma, Maple, Mathematica, Matlab, MuPAD, O-Matrix,
>  Ox, and S-Plus can be found under
>  http://www.informatik.uni-frankfurt.de/~stst/ncrunch.html

=========================================================

CONTRIBUTORS:

Paul Abbott <[email-masked]>
Thomas R. Rizzo <[email-masked]>
Maurizio Becucci <[email-masked]>
Matthew Fewell <[email-masked]>
Osman Sorkhabi <[email-masked]>
Michel Lavollee <[email-masked]>
Evan Bieske <[email-masked]>
Deepak Singh <[email-masked]>
Frederick R. Bennett <[email-masked]>
Bertrand GIRARD <[email-masked]>
Gerard Parlant <[email-masked]>
Godfrey Beddard <[email-masked]>
Pedro A. Enriquez Palma <[email-masked]>
Nicolas Daugey <[email-masked]>
Stephen Ashworth <[email-masked]>
Benoit Soep <[email-masked]>
Mark Weber <[email-masked]>
Robert Maier <[email-masked]>
Bruce E. Wilson <[email-masked]>
George McBane <[email-masked]>
W. R. Smith <[email-masked]>
Millard Alexander <[email-masked]>
Robert J. Le Roy <[email-masked]>
Krzysztof Szalewicz <[email-masked]>
Timothy S. Zwier <[email-masked]>
Emily J S Brown <[email-masked]>
David S. Perry <[email-masked]>
K. Ravichandran <[email-masked]>
Robert Q. Topper <[email-masked]>
Mary Ann H. Smith <[email-masked]>
R. Bruce Weisman <[email-masked]>
Jacques-E. Moser <[email-masked]>
Darren Andrews <[email-masked]>
Gendron, Denis (IMS) <[email-masked]>
Joel Bowman <[email-masked]>
Hairong Shang <[email-masked]>
[email-masked]
David van der Spoel <[email-masked]>
Hua Guo <[email-masked]>
Deborah Levin <[email-masked]>
Robert W. Zoellner" <[email-masked]>
Kirk Peterson <[email-masked]>
Michael Kellman <[email-masked]>
Joseph M. Zaug <[email-masked]>
Oleg Shestakov <[email-masked]>
John Bahr <[email-masked]>
Paul G. Tratnyek <[email-masked]>
fwei <[email-masked]>
Jojo Uichanco <[email-masked]>
John Riley <[email-masked]>
Roger Anderson <[email-masked]>
Nick DeMello <[email-masked]>
Michael Lawrence Chabinyc <[email-masked]>
Greg Metha <[email-masked]>
Richard Gillilan <[email-masked]>
Gary Bryant <[email-masked]>
Dahv Kliner <[email-masked]>
Gerald Loeffler <[email-masked]>
Paul G. Tratnyek <[email-masked]>
Richard <[email-masked]>
Brian Mc Cool <[email-masked]>

------------------------------------------------------------
 Dr Kieran F Lim             Biol. and Chemical Sciences
 (Lim Pak Kwan)              Deakin University
 ph:  + [61] (3) 5227-2146   Geelong          VIC   3217
 fax: + [61] (3) 5227-1040   AUSTRALIA
 mailto:[email-masked]    http://www.deakin.edu.au/~lim